package cz.fi.muni.pa165.entity;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

@Setter
@Getter
@Entity
public class PlayerEntity extends PersonEntity {

    @ManyToOne
    @JoinColumn(name = "team_id")
    private TeamEntity team;

    private int killStat;

    private int deathStat;

    private int assistStat;

    public PlayerEntity() {
    }

    public PlayerEntity(String name){
        super(name);
    }
}
